#32/64bit

%define name libmuparser
%define version 2.2.5

%define realname muparser
%define major 2
%define libname  %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d	 

Name:          %{name}
Version:       %{version}
Release:       %mkrel 3
Summary:	A fast math parser library
BuildRequires:	dos2unix
URL:		http://muparser.sourceforge.net
License:	MIT
Group:          System/Libraries
Source:		%{realname}-%{version}.tar.xz		
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Many applications require the parsing of mathematical expressions.
The main objective of this project is to provide a fast and easy way
of doing this. muParser is an extensible high performance math parser
library. It is based on transforming an expression into a bytecode
and precalculating constant parts of it.


%package -n %{libname}
Summary:        Library files for muparser
Requires:       %{name} = %{version}-%{release} pkgconfig
Group:          System/Libraries
Obsoletes:	libmuparser < %version
Provides:	libmuparser = %version-%release

%description -n %{libname}
Many applications require the parsing of mathematical expressions.
The main objective of this project is to provide a fast and easy way
of doing this. muParser is an extensible high performance math parser
library. It is based on transforming an expression into a bytecode
and precalculating constant parts of it.

%package -n %{libnamedev}
Summary:        Development and doc files for muparser
Requires:       %{name} = %{version}-%{release} pkgconfig
Group:          Development/Libraries
Obsoletes:	libmuparser-devel < %version
Provides:	libmuparser-devel = %version-%release

%description -n %{libnamedev}
Development files and documentation for muparser


%prep
%setup -n %{realname}-%{version}


%build
%configure2_5x \
 --enable-shared=yes \
 --enable-debug=no \
 --enable-samples=no

%make 


%install
rm -rf $RPM_BUILD_ROOT
make libdir=$RPM_BUILD_ROOT%{_libdir} prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%doc Changes.txt License.txt
%{_libdir}/libmuparser.so.%{major}
%{_libdir}/libmuparser.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/libmuparser.so
%{_libdir}/pkgconfig/muparser.pc

%changelog
* Tue Oct 15 2019 tex - 2.2.5-3pclos2019
- rebuild against updates

* Tue Oct 24 2017 bb2 <bb2> - 2.2.5-2pclos2017
- rebuild against updates

* Mon Apr 24 2017 bb2 <bb2> 2.2.5-1pclos2017
- new version

* Fri Sep 06 2013 Ken <lxgator at gmail dot com> - 2.2.3-pclos2013
- 2.2.3

